OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Types | Static Public Member Functions | Static Public Attributes | List of all members
OpenMesh::IO::binaryExt< OpenMesh::Attributes::StatusInfo > Struct Template Reference

`#include <OMStoreRestore.h>`

## Public Types
typedef OpenMesh::Attributes::StatusInfo | value_type
typedef value_type::value_type | status_t

## Static Public Member Functions
static size_t | size_of ()
static size_t | size_of (const value_type &)
static size_t | n_bytes (size_t _n_elem)
static size_t | store (mds::mod::CChannel &_os, const value_type &_v, bool _swap=false)
static size_t | restore (mds::mod::CChannel &_is, value_type &_v, bool _swap=false)

## Static Public Attributes
static const bool | is_streamable = true

## Detailed Description

### template<>
struct OpenMesh::IO::binaryExt< OpenMesh::Attributes::StatusInfo >

binaryExt specialization for OpenMesh::Attributes::StatusInfo

## Member Typedef Documentation

typedef value_type::value_type OpenMesh::IO::binaryExt< OpenMesh::Attributes::StatusInfo >::status_t

typedef OpenMesh::Attributes::StatusInfo OpenMesh::IO::binaryExt< OpenMesh::Attributes::StatusInfo >::value_type

## Member Function Documentation

static size_t OpenMesh::IO::binaryExt< OpenMesh::Attributes::StatusInfo >::n_bytes | ( | size_t | _n_elem | ) |
| inline static

Returns
  Number of bytes in this entity (entire, all elements)

static size_t OpenMesh::IO::binaryExt< OpenMesh::Attributes::StatusInfo >::restore | ( | mds::mod::CChannel & | _is,
|  | value_type & | _v,
|  | bool | _swap = `false`
| ) |  |
| inline static

Method for restoring a string from stream

Parameters

  _is | MDSTk intput channel
  _v | Value to restore
  _swap | Swap bytes flag

Returns
  Number of restored bytes

static size_t OpenMesh::IO::binaryExt< OpenMesh::Attributes::StatusInfo >::size_of | ( |  | ) |
| inline static

Returns
  size of this entity

static size_t OpenMesh::IO::binaryExt< OpenMesh::Attributes::StatusInfo >::size_of | ( | const value_type & |  | ) |
| inline static

Returns
  size of this entity

static size_t OpenMesh::IO::binaryExt< OpenMesh::Attributes::StatusInfo >::store | ( | mds::mod::CChannel & | _os,
|  | const value_type & | _v,
|  | bool | _swap = `false`
| ) |  |
| inline static

Method for storing a Status info into stream

Parameters

  _os | MDSTk output channel
  _v | Value to store
  _swap | Swap bytes flag

Returns
  Number of saved bytes

## Member Data Documentation

const bool OpenMesh::IO::binaryExt< OpenMesh::Attributes::StatusInfo >::is_streamable = true
| static

The documentation for this struct was generated from the following file:

- trunk/include/OMToolkit/IO/OMStoreRestore.h